path: /build/build/nftables-net-firewall-1.1.3+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade -y && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc cli gmp json" emerge net-firewall/nftables -pv -t && \
    USE="-doc cli gmp json" emerge -j ${JOBS} --nodeps net-firewall/nftables && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/nftables && \
    luet-portage --dir /pkgdir/nftables net-firewall/nftables && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:6de730c36e26d6ab950e034863d8fec92debf68d19fa2eaac1749bbd249dba69
  package:
    name: nftables
    version: 1.1.3+1
    category: net-firewall
    use_flags:
    - -doc
    - cli
    - gmp
    - json
    requires:
    - name: docbook2X
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Linux kernel (3.13+) firewall, NAT and packet mangling tools
    uri:
    - https://netfilter.org/projects/nftables/
    license: GPL-2
    buildtimestamp: 2025-08-15 21:04:07.022853192 +0000 UTC m=+183.219764928
    labels:
      DEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
        ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0= >=app-text/docbook2X-0.8.8-r4
        doc? ( >=app-text/dblatex-0.3.7 ) sys-devel/bison sys-devel/flex virtual/pkgconfig
        >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16 )
        >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      IUSE: debug +cli doc +gmp json +modern_kernel python xtables kernel_linux
      RDEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
        ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0='
      emerge.packages: net-firewall/nftables
      kit: net-kit
      original.package.name: net-firewall/nftables
      original.package.slot: "0"
      original.package.version: 1.1.3
    treedir: /build/packages
  package_dir: /pkgdir/nftables
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1978ce5da5a9cfa2f53ffdbd8b0d74f33705051ebb95bc21cce99763c618a86a
compressiontype: zstd
files:
- etc/conf.d/nftables
- etc/init.d/nftables
- sbin/nft
- usr/include/nftables/libnftables.h
- usr/lib64/libnftables.la
- usr/lib64/libnftables.so
- usr/lib64/libnftables.so.1
- usr/lib64/libnftables.so.1.1.0
- usr/lib64/pkgconfig/libnftables.pc
- usr/libexec/nftables/nftables.sh
- usr/share/doc/nftables-1.1.3/examples/ct_helpers.nft.bz2
- usr/share/doc/nftables-1.1.3/examples/load_balancing.nft.bz2
- usr/share/doc/nftables-1.1.3/examples/secmark.nft.bz2
- usr/share/doc/nftables-1.1.3/examples/sets_and_maps.nft.bz2
- usr/share/doc/nftables-1.1.3/usr/share/doc/nftables-1.1.3/skels/osf/pf.os.bz2
- usr/share/nftables/all-in-one.nft
- usr/share/nftables/arp-filter.nft
- usr/share/nftables/bridge-filter.nft
- usr/share/nftables/inet-filter.nft
- usr/share/nftables/inet-nat.nft
- usr/share/nftables/ipv4-filter.nft
- usr/share/nftables/ipv4-mangle.nft
- usr/share/nftables/ipv4-nat.nft
- usr/share/nftables/ipv4-raw.nft
- usr/share/nftables/ipv6-filter.nft
- usr/share/nftables/ipv6-mangle.nft
- usr/share/nftables/ipv6-nat.nft
- usr/share/nftables/ipv6-raw.nft
- usr/share/nftables/netdev-ingress.nft
- var/db/pkg/net-firewall/nftables-1.1.3/BUILD_TIME
- var/db/pkg/net-firewall/nftables-1.1.3/CATEGORY
- var/db/pkg/net-firewall/nftables-1.1.3/CBUILD
- var/db/pkg/net-firewall/nftables-1.1.3/CFLAGS
- var/db/pkg/net-firewall/nftables-1.1.3/CHOST
- var/db/pkg/net-firewall/nftables-1.1.3/CONTENTS
- var/db/pkg/net-firewall/nftables-1.1.3/COUNTER
- var/db/pkg/net-firewall/nftables-1.1.3/CTARGET
- var/db/pkg/net-firewall/nftables-1.1.3/CXX
- var/db/pkg/net-firewall/nftables-1.1.3/CXXFLAGS
- var/db/pkg/net-firewall/nftables-1.1.3/DEFINED_PHASES
- var/db/pkg/net-firewall/nftables-1.1.3/DEPEND
- var/db/pkg/net-firewall/nftables-1.1.3/DESCRIPTION
- var/db/pkg/net-firewall/nftables-1.1.3/EAPI
- var/db/pkg/net-firewall/nftables-1.1.3/FEATURES
- var/db/pkg/net-firewall/nftables-1.1.3/HOMEPAGE
- var/db/pkg/net-firewall/nftables-1.1.3/INHERITED
- var/db/pkg/net-firewall/nftables-1.1.3/IUSE
- var/db/pkg/net-firewall/nftables-1.1.3/IUSE_EFFECTIVE
- var/db/pkg/net-firewall/nftables-1.1.3/KEYWORDS
- var/db/pkg/net-firewall/nftables-1.1.3/LDFLAGS
- var/db/pkg/net-firewall/nftables-1.1.3/LICENSE
- var/db/pkg/net-firewall/nftables-1.1.3/NEEDED
- var/db/pkg/net-firewall/nftables-1.1.3/NEEDED.ELF.2
- var/db/pkg/net-firewall/nftables-1.1.3/PF
- var/db/pkg/net-firewall/nftables-1.1.3/PROVIDES
- var/db/pkg/net-firewall/nftables-1.1.3/RDEPEND
- var/db/pkg/net-firewall/nftables-1.1.3/REQUIRES
- var/db/pkg/net-firewall/nftables-1.1.3/SIZE
- var/db/pkg/net-firewall/nftables-1.1.3/SLOT
- var/db/pkg/net-firewall/nftables-1.1.3/USE
- var/db/pkg/net-firewall/nftables-1.1.3/environment.bz2
- var/db/pkg/net-firewall/nftables-1.1.3/nftables-1.1.3.ebuild
- var/db/pkg/net-firewall/nftables-1.1.3/repository
- var/lib/nftables/.keep_net-firewall_nftables-0
package_cacheimage: ""
runtime:
  name: nftables
  version: 1.1.3+1
  category: net-firewall
  use_flags:
  - -doc
  - cli
  - gmp
  - json
  requires:
  - name: gmp
    version: '>=0'
    category: dev-libs
  - name: jansson
    version: '>=0'
    category: dev-libs
  - name: libedit
    version: '>=0'
    category: dev-libs
  - name: libnftnl
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Linux kernel (3.13+) firewall, NAT and packet mangling tools
  uri:
  - https://netfilter.org/projects/nftables/
  license: GPL-2
  labels:
    DEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
      ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0= >=app-text/docbook2X-0.8.8-r4
      doc? ( >=app-text/dblatex-0.3.7 ) sys-devel/bison sys-devel/flex virtual/pkgconfig
      >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71
      >=sys-devel/libtool-2.4'
    IUSE: debug +cli doc +gmp json +modern_kernel python xtables kernel_linux
    RDEPEND: '>=net-libs/libmnl-1.0.3:0= gmp? ( dev-libs/gmp:0= ) json? ( dev-libs/jansson
      ) cli? ( dev-libs/libedit:0= ) >=net-libs/libnftnl-1.2.6:0='
    emerge.packages: net-firewall/nftables
    kit: net-kit
    original.package.name: net-firewall/nftables
    original.package.slot: "0"
    original.package.version: 1.1.3
